Bug 99123 - nfs3 - attribute caching bug
nfs3 - attribute caching bug
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Larry Woodman
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-07-14 15:23 EDT by Bill Heiden
Modified: 2007-11-30 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.4.9-e.25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-30 14:26:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bill Heiden 2003-07-14 15:23:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
 An attribute caching problem causes incredibly slow nfs3 performance, making 
3rd party applications *painful* to use.  This problem is similar to bug 
#67543, but with that bug both nfs2 and nfs3 are broken. In this bug, it 
appears that only nfs3 mounts are affected and not nfs2.  

 This problem is causing a great deal of pain within our production 
environment.  Launching maya takes nearly 4 minutes and accessing its plugin 
manager takes over 6 minutes.  The load times under a vanilla 7.2 (2.4.10-7) 
kernel are 30 seconds and 5 seconds respectively.  

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create three files in a nfs3 mounted directory (test, test2, test3).

2. Run the following perl script, which will demonstrate the problem. 


undef $done;
while (! $done) {
  @test = stat("test");
  @test2 = stat("test2");
  @test3 = stat("test3");
  if ($go == 10000) {$done = "yeppers"};

3. Repeat step 2, but this time use nfs2 mounts and notice the difference in 


Actual Results:   The nf3 results are *much* slower tham the nfs2 results.

Expected Results:  I would expect to see no noticeable difference between nfs2 
and nfs3 mounted directories.

Comment 1 Bill Heiden 2003-07-14 15:26:08 EDT
It appears my additional comments were not included in the bug report...

 Using nfs2 is *not* a workaround for us.  One of our applications 
uses/accesses multiple Gig sized files that are not supported under nfs2 and 
the file locking capabilities are better under nfs3. Our newer hardware (IBM 
6221 Intellistation) is not able to run the vanilla 7.2 kernel without 
upgrading to a kernel where bug #67543 is present, so we need a fix for this 
Comment 2 Bill Heiden 2003-07-22 22:17:12 EDT
 Just upgraded to the 2.4.9-e.25 kernel and the problem has disappeared.  Looks 
like the kernel upgrade solved the problem.

Note You need to log in before you can comment on or make changes to this bug.